// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include "../globals.hh"
#include "exiter.hh"
#include "../PingusSound.hh"

Exiter::Exiter()
{
}

Exiter::~Exiter()
{
}

PinguAction*
Exiter::create(void)
{
  return new Exiter();
}

void
Exiter::init(void)
{
  surface = CL_Res_Surface::load("Pingus/bomber", *local_res());
  counter.set_size(surface->get_no_sprs());
  counter.set_type(Counter::once);
  counter.set_count(0);
  counter.set_speed(10);
  is_multi_direct = false;
  if (sound_enabled) {
    PingusSound::play(PingusSound::YIPEE);
  }
  pingu->status = exited;
}

void
Exiter::let_move()
{
  if (pingu->status == exited)
    return;
  
  if (counter >= surface->get_no_sprs() - 1)
    pingu->status = exited; 

  active = true;
}

/* EOF */
