// $Id: PSMObj.cc,v 1.6 1999/12/12 03:05:31 grumbel Exp $
//
// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <fstream>
#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>
#include "../PingusResource.hh"

#include "PSMObj.hh"

PSMObj::PSMObj(surface_data data)
{
  x_pos = data.x_pos;
  y_pos = data.y_pos;
  type  = data.type;

  surf = CL_Res_Surface::load(data.name.c_str(), *PingusResource::get("global.dat"));
  desc.res_name = data.name;
}

PSMObj::PSMObj(PSMObj& t)
{
  x_pos = t.x_pos;
  y_pos = t.y_pos;
  surf  = t.surf;
  desc  = t.desc;
  type = t.type;
}

PSMObj::~PSMObj()
{
}

EditorObj*   
PSMObj::duplicate()
{
  return new PSMObj(*this);
}

void
PSMObj::save(ofstream* plf, ofstream* psm)
{
  if (type == surface_data::SOLID) {
    (*psm) << "solid : ";
  } else if (type == surface_data::GROUND) {
    (*psm) << "ground : ";
  } else {
    cout << "Warning: PSMObj: type not set!" << endl;
    (*psm) << "ground : ";
  }
  
  (*psm) << "(resource:global.dat)" << desc.res_name << " : " 
	 << x_pos << " : " << y_pos << ";" << endl;
}

/* EOF */
